# mongoc_client_get_server_status()

## Synopsis

    bool
    mongoc_client_get_server_status (mongoc_client_t     *client,
                                     mongoc_read_prefs_t *read_prefs,
                                     bson_t              *reply,
                                     bson_error_t        *error);

Queries the server for the current server status. The result is stored in reply.

reply is always initialized, even in the case of failure. Always call bson_destroy() to release it.

## Parameters

client | A mongoc_client_t.
read_prefs | A mongoc_read_prefs_t.
reply | A location for the result bson_t.
error | An optional location for a bson_error_t or NULL.

## Errors

Errors are propagated via the error parameter.

## Returns

true on success, otherwise false and error is set.